Bug 8302 - [UPDATE REQUEST 2016.1] urpm-tools 2.3.6
: [UPDATE REQUEST 2016.1] urpm-tools 2.3.6
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-29 19:48 MSD by Eugene Shatokhin
Modified: 2017-09-18 20:31 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2017-08-29 19:48:41 MSD
Fixed "urpm-package-cleanup --oldkernels".
Comment 1 Eugene Shatokhin 2017-08-29 20:06:28 MSD
Advisory:
urpm-tools was updated to version 2.3.6. Removal of the older kernels was completely rewritten in urpm-package-cleanup tool, it has been broken for a very long time. Note that the number of kernels to keep (3, by default) is now obtained from /etc/urpmi/kernels.cfg rather than from the commandline options. A few cosmetic changes were also made.


Build lists:
https://abf.io/build_lists/2889121
https://abf.io/build_lists/2889122


Hints for testing:

* Old kernels are not removed automatically. One should manually run 'urpm-package-cleanup --oldkernels' as root.

* The kernels to remove are selected *not* by their version numbers but rather by their install date & time. That is, the tool removes the least recently installed kernels rather than the kernels with the smallest version.

* If a kernel or its development package is required by a kernel*-latest package, neither of these packages will be removed. So, the tool may keep more kernels than requested in /etc/urpmi/kernels.cfg.

* --count option is no longer supported, --keepdevel is still supported (although most users do not need it).

* If 'remove_old_kernels' is set to 'no' (without quotes) in /etc/urpmi/kernels.cfg, "urpm-package-cleanup --oldkernels" will not try to remove packages. This might be convenient if someone calls "urpm-package-cleanup" from urpmi or whatever else and it is needed (e.g. for debugging) to disable autoremoval of the old kernels.
Comment 2 Vladimir Potapov 2017-09-08 17:42:23 MSD
The update is sent to expanded testing
*****************************************
Comment 3 Vladimir Potapov 2017-09-18 18:10:51 MSD
urpm-tools-2.3.6-1
https://abf.io/build_lists/2889121
https://abf.io/build_lists/2889122
****************************** Advisory ******************************
urpm-tools was updated to version 2.3.6. Removal of the older kernels was completely rewritten in urpm-package-cleanup tool, it has been broken for a very long time. Note that the number of kernels to keep (3, by default) is now obtained from /etc/urpmi/kernels.cfg rather than from the commandline options. A few cosmetic changes were also made.
**********************************************************************
QA Verified